Summary:    fonttosfnt with patches
Name:       fonttosfnt-x
Version:    1.1.0
Release:    1%{?dist}
License:    MIT

Source0:    https://www.x.org/pub/individual/app/fonttosfnt-%{version}.tar.bz2
# Patch2:     https://gitlab.freedesktop.org/xorg/app/fonttosfnt/merge_requests/2.diff#/fonttosfnt-pull-request-2.patch
# Patch3:     https://gitlab.freedesktop.org/xorg/app/fonttosfnt/merge_requests/3.diff#/fonttosfnt-pull-request-3.patch
# Patch4:     https://gitlab.freedesktop.org/xorg/app/fonttosfnt/merge_requests/4.diff#/fonttosfnt-pull-request-4.patch
Patch7:     https://gitlab.freedesktop.org/xorg/app/fonttosfnt/merge_requests/7.diff#/fonttosfnt-pull-request-7.patch

BuildRequires:  libtool
BuildRequires:  pkgconfig(fontenc)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8

%description
Updated fonttosfnt to produce bitmap fonts to workaround
https://bugzilla.redhat.com/show_bug.cgi?id=1753295

%prep
%setup -q -n fonttosfnt-%{version}
# %patch2 -p1
# %patch3 -p1
# %patch4 -p1
%patch7 -p1

%build
autoreconf -vif
%configure
make %{?_smp_mflags}
 
%install
%make_install
mv $RPM_BUILD_ROOT/usr/bin/fonttosfnt $RPM_BUILD_ROOT/usr/bin/fonttosfnt-x
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
ln -s /usr/bin/fonttosfnt-x $RPM_BUILD_ROOT/usr/local/bin/fonttosfnt
rm -rf $RPM_BUILD_ROOT/usr/share/man

%files
%{_bindir}/fonttosfnt-x
/usr/local/bin/fonttosfnt
